.App {
  min-height:100vh;
  text-align: center;
}

.search-bar {
  margin-top: 20px
}

.rick-and-morty-gallery {
  margin: auto;
  margin-top: 30px;
  width: 90%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 10px;
  justify-content: center;
  justify-items: center;
}

.rick-and-morty-card,
.character-card {
  position: relative;
  width: 80%;
  border-radius: 20px;
  padding: 10px;
  box-shadow: 0 0 2px 4px rgba(0, 0, 0, 0.3);
}

.rick-and-morty-card .favoris {
  position: absolute;
  width: 24px;
  height: 24px;
  top: 4px;
  right: 4px;
  cursor: pointer;
}

.character-card img {
  width: 100%
}
/* .rick-and-morty-card {
  
} */

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  height: 50px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
}

.home-link {
  text-decoration: unset;
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@media (max-width: 1200px) { 
  .rick-and-morty-gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 700px) { 
  .rick-and-morty-gallery {
    grid-template-columns: 1fr;
  }
}
